POW10(3)

NAME
pow10, pow10f, pow10l - base-10 power functions

SYNOPSIS
#define _GNU_SOURCE         /* See feature_test_macros(7) */
#include <math.h>

double pow10(double x);
float pow10f(float x);
long double pow10l(long double x);

Link with -lm.

DESCRIPTION
These functions return the value of 10 raised to the power x.

VERSIONS
These functions first appeared in glibc in version 2.1.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

CONFORMING TO
This is a GNU extension.

NOTES
These functions are identical to the functions listed under exp10(3).

SEE ALSO
exp10(3), pow(3)

COLOPHON
This page is part of release 4.10 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at https://www.kernel.org/doc/man-pages/.